[MLton-commit] r6154
Vesa Karvonen
vesak at mlton.org
Sat Nov 10 05:13:19 PST 2007
Don't attempt test with a compiler if it doesn't seem to be installed.
----------------------------------------------------------------------
U mltonlib/trunk/com/ssh/generic/unstable/Test-mlton.sh
U mltonlib/trunk/com/ssh/generic/unstable/Test-polyml.sh
U mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh
----------------------------------------------------------------------
Modified: mltonlib/trunk/com/ssh/generic/unstable/Test-mlton.sh
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Test-mlton.sh 2007-11-10 13:03:37 UTC (rev 6153)
+++ mltonlib/trunk/com/ssh/generic/unstable/Test-mlton.sh 2007-11-10 13:13:19 UTC (rev 6154)
@@ -8,6 +8,11 @@
set -e
set -x
+if ! which mlton ; then
+ echo 'Skipping test with MLton as it does not seem to be installed.'
+ exit 0
+fi
+
mkdir -p generated
echo "SML_COMPILER mlton
Modified: mltonlib/trunk/com/ssh/generic/unstable/Test-polyml.sh
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Test-polyml.sh 2007-11-10 13:03:37 UTC (rev 6153)
+++ mltonlib/trunk/com/ssh/generic/unstable/Test-polyml.sh 2007-11-10 13:13:19 UTC (rev 6154)
@@ -8,6 +8,11 @@
set -e
set -x
+if ! which poly ; then
+ echo 'Skipping test with Poly/ML as it does not seem to be installed.'
+ exit 0
+fi
+
time \
echo 'use "../../../../org/mlton/vesak/use-lib/unstable/polyml.use" ;
use "test.use" ;' | poly
Modified: mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh 2007-11-10 13:03:37 UTC (rev 6153)
+++ mltonlib/trunk/com/ssh/generic/unstable/Test-smlnj.sh 2007-11-10 13:13:19 UTC (rev 6154)
@@ -8,6 +8,11 @@
set -e
set -x
+if ! which sml ; then
+ echo 'Skipping test with SML/NJ as it does not seem to be installed.'
+ exit 0
+fi
+
eb=../../extended-basis/unstable
time \
More information about the MLton-commit
mailing list